For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETGet Bill
      • GETList Bill Payments View Sets
      • POSTCreate Bill
      • GETGet Bill Payment
      • GETGet All Bill Payments
      • POSTCreate Bill Payment
Get a Demo
LogoLogo
API ReferenceBill Payments

Get Bill

GET
https://host.com/v2/bill-pay/bills/:external_id/
GET
/v2/bill-pay/bills/:external_id/
$curl https://host.com/v2/bill-pay/bills/external_id/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "string",
3 "consumer_id": "string",
4 "sending_account_id": "string",
5 "name": "string",
6 "receiver_name": "string",
7 "account_number": "string",
8 "account_routing_number": "string"
9}
Get a specific Bill by ID.
Was this page helpful?
Previous

List Bill Payments View Sets

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

external_idstringRequired

Response

idstringformat: "uuid"
consumer_idstringformat: "uuid"
sending_account_idstringformat: "uuid"
namestring<=255 characters
receiver_namestring<=255 characters
account_numberstring
account_routing_numberstring